Skip to content

marketing

← All modules

2 endpoints.

GET /api/v1/marketing/plan

Get Marketing Plan

Get the tenant's marketing plan (pricing, target market, ad measurement).

200 — Successful Response

json
{}

PUT /api/v1/marketing/plan

Save Marketing Plan

Save the tenant's marketing plan.

Request body

json
{
  "properties": {
    "pricing_strategy": {
      "properties": {
        "competitor_prices": {
          "items": {
            "type": "string"
          },
          "type": "array",
          "title": "Competitor Prices",
          "default": [
            "",
            "",
            ""
          ]
        }
      },
      "type": "object",
      "title": "PricingStrategy"
    },
    "target_market": {
      "properties": {
        "customer_type": {
          "type": "string",
          "title": "Customer Type",
          "default": ""
        }
      },
      "type": "object",
      "title": "TargetMarket"
    },
    "advert_measurement": {
      "properties": {
        "cost_per_lead": {
          "type": "string",
          "title": "Cost Per Lead",
          "default": ""
        },
        "cost_per_sale": {
          "type": "string",
          "title": "Cost Per Sale",
          "default": ""
        },
        "average_sale_value": {
          "type": "string",
          "title": "Average Sale Value",
          "default": ""
        }
      },
      "type": "object",
      "title": "AdvertMeasurement"
    }
  },
  "type": "object",
  "required": [
    "pricing_strategy",
    "target_market",
    "advert_measurement"
  ],
  "title": "MarketingPlanRequest"
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb ERP Documentation